Import jobs
Get Import Job
Returns an Import Job by ID
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
import_id*string
Header Parameters
Members-Context?string
Members organization id (org_…) when the client has multiple organizations.
Default
""Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.members.dev/v1/imports/string"{
"id": "string",
"status": "pending",
"dry_run": true,
"source_object_key": "string",
"total_rows": 0,
"created_count": 0,
"invalid_count": 0,
"failure_reason": "string",
"error_report": {
"download_url": "string",
"expires_in": 0
},
"started_at": "string",
"completed_at": "string",
"failed_at": "string",
"created_at": "string"
}{
"type": "https://api.members.dev/errors/invalid_credentials",
"title": "Invalid credentials",
"status": 401,
"detail": "Invalid API Key or token.",
"code": "invalid_credentials"
}{
"type": "https://api.members.dev/errors/not_linked_to_tenant",
"title": "Not linked to tenant",
"status": 403,
"detail": "Not linked to this tenant",
"code": "not_linked_to_tenant"
}{
"type": "https://api.members.dev/errors/member_not_found",
"title": "Member not found",
"status": 404,
"detail": "No member exists with the given id in this organization.",
"code": "member_not_found"
}{
"type": "https://api.members.dev/errors/members_context_required",
"title": "Members context required",
"status": 422,
"detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
"code": "members_context_required"
}{
"type": "https://api.members.dev/errors/rate_limit_exceeded",
"title": "Rate limit exceeded",
"status": 429,
"detail": "Rate limit exceeded",
"code": "rate_limit_exceeded"
}